
Ruby - Bug #5961

regular expression positive look-behind

02/03/2012 05:32 AM - kbourque@sbcglobal.net (Anthony Bourque)

Status: Closed   

Priority: Normal   

Assignee: naruse (Yui NARUSE)   

Target version: 1.9.3   

ruby -v: 1.9.3p0 Backport:  

Description

irb(main):001:0> input = " \t Jeffs "

=> " \t Jeffs "

irb(main):002:0> input.gsub(%r{(?<=\bJeff)(?=s\b)},"'")

SyntaxError: (irb):2: invalid pattern in look-behind: /(?<=\bJeff)(?=s\b)/

from E:/Ruby/Ruby193/bin/irb:12:in `'

irb(main):003:0>

This is a valid regular expression which should produce " \t Jeff's ". It seems to have a problem with the \b in the look-behind.

History

#1 - 02/03/2012 09:52 AM - naruse (Yui NARUSE)

- Status changed from Open to Assigned

- Assignee changed from kbourque@sbcglobal.net (Anthony Bourque) to naruse (Yui NARUSE)

#2 - 02/20/2012 01:48 PM - naruse (Yui NARUSE)

- Status changed from Assigned to Closed

Fixed by mergin Onigmo 5.13.1 in Ruby 2.0.
